{{ define "content" }}

<div class="container">
  
  <div class="karmen-info-header">
    
    <div class="row">
      <div class="col-md-8">
	<h1>Docenti ({{len .Data}})</h1>
      </div>
      <div class="col-md-4">
	<div class="btn-group float-right">
	  {{template "create_button" slice "Crea nuovo docente" (modelPath "teacher" "create" 0)}}
        </div>
      </div>
    </div>
    
  </div>

  {{template "search_input"}}
    
  {{if not .}}
  {{template "display_no_elements"}}
  {{else}}
  <div class="list-group" id="myUL">
    {{range $teacher := .Data}}
    <a class="list-group-item list-group-item-action" href={{$teacher.ID|modelPath "teacher" "show"}}>
      <span class="fa fa-user"></span>
      {{$teacher.Surname}} {{$teacher.Name}}
      <div class="text-right">
	{{if $teacher.Classes}}
	{{range $class := $teacher.Classes}}
	<small>{{$class.Name}}</small>
	{{end}}
	{{else}}
	<small>no classi</small>
	{{end}}
	{{if $teacher.Subjects}}
	{{range $subject := $teacher.Subjects}}
	<small>{{$subject.Name}}</small>
	{{end}}
	{{else}}
	<small>no materie</small>
        {{end}}
      </div>
    </a>
    {{end}}
    {{end}}
  </div>

</div>
{{ end }}
